| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IJobOptionsSvc Class Reference

`#include <GaudiKernel/IJobOptionsSvc.h>`

Inheritance diagram for IJobOptionsSvc:

[legend]
Collaboration diagram for IJobOptionsSvc:

[legend]
List of all members.

## Detailed Description

Main interface for the JobOptions service.

Author:
  Pere Mato

Definition at line 25 of file IJobOptionsSvc.h.

## Public Member Functions
virtual StatusCode | setMyProperties (const std::string &client, IProperty *me)=0
| Override default properties of the calling client.
virtual StatusCode | addPropertyToCatalogue (const std::string &client, const Property &property)=0
| Add a property into the JobOptions catalog.
virtual StatusCode | removePropertyFromCatalogue (const std::string &client, const std::string &name)=0
| Remove a property from the JobOptions catalog.
virtual const std::vector< const Property * > * | getProperties (const std::string &client) const =0
| Get the properties associated to a given client.
virtual std::vector< std::string > | getClients () const=0
| Get the list of clients.
virtual StatusCode | readOptions (const std::string &file, const std::string &path="")=0
| look for file 'File' into search path 'Path' and read it to update existing JobOptionsCatalogue
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IJobOptionsSvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 28 of file IJobOptionsSvc.h.

References IID_IJobOptionsSvc.

    00028 { return IID_IJobOptionsSvc; }

virtual StatusCode IJobOptionsSvc::setMyProperties | ( | const std::string & | client,
|  | IProperty * | me |
| ) |  |  | `[pure virtual]`

Override default properties of the calling client.

Parameters:

  | client | Name of the client algorithm or service
  | me | Address of the interface IProperty of the client

Implemented in JobOptionsSvc.

Referenced by ApplicationMgr::configure(), Service::setProperties(), Auditor::setProperties(), and AlgTool::setProperties().

virtual StatusCode IJobOptionsSvc::addPropertyToCatalogue | ( | const std::string & | client,
|  | const Property & | property |
| ) |  |  | `[pure virtual]`

Add a property into the JobOptions catalog.

Implemented in JobOptionsSvc.

Referenced by GaudiSequencer::decodeNames(), and HistogramPersistencySvc::reinitialize().

virtual StatusCode IJobOptionsSvc::removePropertyFromCatalogue | ( | const std::string & | client,
|  | const std::string & | name |
| ) |  |  | `[pure virtual]`

Remove a property from the JobOptions catalog.

Implemented in JobOptionsSvc.

Referenced by GaudiSequencer::decodeNames().

virtual const std::vector<const Property*>* IJobOptionsSvc::getProperties | ( | const std::string & | client | ) | const`[pure virtual]`

Get the properties associated to a given client.

Implemented in JobOptionsSvc.

Referenced by HistorySvc::captureState(), GaudiSequencer::decodeNames(), and GaudiCommon< PBASE >::initGaudiCommonConstructor().

virtual std::vector<std::string> IJobOptionsSvc::getClients | ( |  | ) | const`[pure virtual]`

Get the list of clients.

Implemented in JobOptionsSvc.

Referenced by HistorySvc::captureState().

virtual StatusCode IJobOptionsSvc::readOptions | ( | const std::string & | file,
|  | const std::string & | path = `""` |
| ) |  |  | `[pure virtual]`

look for file 'File' into search path 'Path' and read it to update existing JobOptionsCatalogue

Parameters:

  | File | file name
  | Path | search path

Returns:
  status code

Implemented in JobOptionsSvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IJobOptionsSvc.h